Skip to main content
Sandbox lets you build and test your integration without moving real money. To get sandbox access, contact peter@trykarat.com — see Environments. Once sandbox is enabled on your account, you can use a set of pre-configured test recipients. Sending a payout to one of these email addresses drives the payout to a specific outcome.

Simulate payout statuses

Send a payout to one of these recipients to drive it to the corresponding status:
Recipient emailResulting status
sandbox+completed@trykarat.comCompleted
sandbox+failed@trykarat.comFailed
sandbox+returned@trykarat.comReturned
sandbox+canceled@trykarat.comCanceled
sandbox+pending@trykarat.comPending
sandbox+created@trykarat.comCreated
sandbox+awaiting_acceptance@trykarat.comAwaiting acceptance

Simulate errors

Send a payout to one of these recipients to trigger a specific error:
Recipient emailSimulated error
sandbox+error_insufficient_funds@trykarat.comInsufficient funds to cover the payout batch
sandbox+error_invalid_amount@trykarat.comAll payout amounts must be greater than zero

Example

curl https://payouts.api.trykarat.com/payments \
  -H "Authorization: Bearer YOUR_SANDBOX_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "payouts": [
      { "payeeEmail": "sandbox+completed@trykarat.com", "amount": 25000 }
    ]
  }'
Combine sandbox status recipients with webhooks to verify your payout.updated handler end to end before going live.